<?php
	!defined('DIRCMS_MANAGE') && exit('Access Denied!');
	$domain=parse_url($DIRCMS['site_url']);
	$domain=getRootDomain($domain['host'])?getRootDomain($domain['host']):$domain['host'];
	include(DIRCMS_ROOT.'include/admin/admin.class.php');
	$admin=new admin();
	$moduleinfo=cache_read('module.cache.php',DIRCMS_ROOT.'data/c/');
	if($moduleinfo)foreach($moduleinfo as $key => $_moduleinfo)
	{
		if(!$module->roleid_check($_moduleinfo['folder'],$_roleid) || $_moduleinfo['disabled'] || !$_moduleinfo['adminmenu'])unset($moduleinfo[$key]);
	}
	include admin_tlp('top');
?>